Improve the "Layer-export to..." wizard
12/21/2011 01:49 PM - Manuel Madrid

Status: Closed % Done: 100%
Priority: Immediate Spent time: 0.00 hour
Assignee: Cesar Ordifiana

Category: Document view

Target version: 2.0.0-alpha4

gvSIG version: 2.0.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No Proyecto:

Add-on name: Export framework (org.gvsig.exportto.app jdiitorsion)

Add-on version: 2.0.0

Description

Things to improve:

- Specific drivers and the generic one shouldn't be in the same list as it's confusing. A possible solution could be to separate them in
tow different flaps and show a little explanation about what the generic driver is.

- The drivers should be filtered depending on the source format. It doesn't makes sense to allow to export a shapefile to Ermapper
(ECW), for example.

History

#1 - 12/23/2011 08:47 AM - Jorge Piera
- Assignee set to Jorge Piera

#2 - 12/26/2011 07:41 AM - Jorge Piera
- Status changed from New to In progress

#3 - 12/26/2011 09:17 AM - Jorge Piera
- Status changed from In progress to Fixed

I've added a text area to describe the selected exporter.

#4 - 01/13/2012 02:51 PM - Joaquin del Cerro Murciano
- Target version set to 2.0.0-alpha3

#5 - 01/17/2012 04:10 PM - Cesar Ordifiana

- Status changed from Fixed to In progress

- Assignee changed from Jorge Piera to Cesar Ordifiana

- Target version changed from 2.0.0-alpha3 to 2.0.0-alpha4
- Add-on name deleted (org.gvsig.gvsigapp)

I'm reopening this ticket as the description of the provider is not enough to solve the problem. The generic provider needs too much knowledge of the
gvSIG internals to be used as it is.

As rewriting the generic provider to be easier to use and not allow invalid values would be a lot of work, I'm going to disable it by default, being able to

enable again in the user preferences.
In fact, I'm going to add an exportto preferences page which will allow to enable or disable any of the providers, setting by default the generic one as

disabled.

Also I'm going to change the labels of the generic provider to be shown to the user as "Advanced"
#6 - 01/18/2012 11:37 PM - Joaquin del Cerro Murciano

- Add-on name set to Export framework (org.gvsig.exportto.app.extension)

#7 - 02/08/2012 07:17 PM - Cesar Ordifiana

- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Implemented in changeset r37887

#8 - 02/26/2014 12:35 PM - Alvaro Anguix

- Status changed from Fixed to Closed
